#from matplotlib import cm
#from matplotlib.ticker import LinearLocator, FixedLocator, FormatStrFormatter
#import matplotlib.pyplot as plt
import matplotlib
matplotlib.use('WX')
from mpl_toolkits.mplot3d import Axes3D
#axes3d,
#import wx
import canvas_frame
import FFTH_elas

def field(type,what,Z,Y):
    fig = matplotlib.figure.Figure(figsize=(6,6)) #plt.figure(figsize=(12,12))
    dummy,dummy,N,dummy = FFTH_elas.get_dimensions(Z)
    if Z.size > 0:
        X, Y = FFTH_elas.get_coordinates(Y,N)
        if type == '3D - contour':
            ax = Axes3D(fig)
            ax.set_aspect('equal')
            ax.set_frame_on(True)
            try:
                cset = ax.contour(X, Y, Z, 50, extend3d=True)
            except:
                cset = ax.contour(X, Y, Z, extend3d=True)
            ax.clabel(cset, fontsize=9, inline=1)
            ax.plot_wireframe(X, Y, Z, rstride=10, cstride=10)
        elif type == '2D - contour':
            ax = fig.add_subplot(111) # make sure aspect ratio preserved
            ax.set_aspect('equal')
#                ax.axis([-self.ind_Y[0],self.ind_Y[0],-self.ind_Y[1],self.ind_Y[1]])
            ax.set_frame_on(True)
            ax.contourf(X, Y, Z, 30)
        else:
            pass
        
        if what=='E':
            ax.set_title("E - Young's modulus")
        elif what=='nu':
            ax.set_title("nu - Poison's ratio")
        else:
            ax.set_title(what)
        
        ax.set_xlabel('x_1 coordinate')
        ax.set_ylabel('x_2 coordinate')
        frame = canvas_frame.CanvasFrameMap(fig)
        frame.Show(True)

    else:
        print('There is no data!') 